extern void printIntVec(int[n] vec);
extern void printFloatVec(float[n] vec);
extern void scanIntVec(int[n] vec);
extern void scanFloatVec(float[n] vec);
extern void printIntMat(int[m, n] vec);
extern void printFloatMat(float[m, n] vec);
extern void scanIntMat(int[m, n] vec);
extern void scanFloatMat(float[m, n] vec);
extern void matMul(float[m,n] a, float[o,p] b, float[q,l] c);
